XML::Feed::Content(3pm)

NAME
XML::Feed::Content - Wrapper for content objects

SYNOPSIS
    my $content = $entry->content;
    print $content->body;

DESCRIPTION
XML::Feed::Content represents a content object in an XML::Feed::Entry entry in a syndication feed. This could be a <description> element in an RSS feed, a <content> element in an Atom feed, etc. In other words, any element where knowing both the actual data and the type of data is useful.

USAGE

  wrap
Take params and turn them into a XML::Feed::Content object.

  new
A synonym for wrap.

  $content->body
The actual data.

  $content->type
The MIME type of the content in body.

This is really only useful in Atom feeds, because RSS feeds do not specify the type of content included in an entry. In RSS feeds, generally the MIME type defaults to text/html.

  $content->base
The url base of the content.

AUTHOR & COPYRIGHT
Please see the XML::Feed manpage for author, copyright, and license information.